@REM @start_copyright_restricted_CTG_CUC@
@REM Licensed Materials - Property of IBM
@REM 
@REM "Restricted Materials of IBM"
@REM 
@REM 5724-I81 5724-J09
@REM 
@REM (c) Copyright IBM Corp. 2008 All Rights Reserved.
@REM 
@REM US Government Users Restricted Rights - Use, duplication or
@REM disclosure restricted by GSA ADP Schedule Contract with
@REM IBM Corp.
@REM 
@REM Status: Version 7 Release 1
@REM @end_copyright_restricted_CTG_CUC@

@echo off

if [%1]==[en] goto DOCOPY
if [%1]==[de] goto DOCOPY
if [%1]==[es] goto DOCOPY
if [%1]==[fr] goto DOCOPY
if [%1]==[it] goto DOCOPY
if [%1]==[tr] goto DOCOPY
if [%1]==[ja] goto DOCOPY
if [%1]==[ko] goto DOCOPY
if [%1]==[zh] goto DOCOPY

echo Usage: %0 ^<language^> [-silent]
echo Supported languages: en, de, es, fr, it, tr, ja, ko, zh
echo             -silent: Produce no output
goto END

:DOCOPY
call ctghome

set SILENTFLAG=
if "%2"=="-silent" set SILENTFLAG= ^> nul

echo %CTG_CUC_HOME%\msgs\ccllog%1.hlp %SILENTFLAG%
copy "%CTG_CUC_HOME%\msgs\ccllog%1.hlp" "%CTG_CUC_HOME%\bin\ccllog.hlp" %SILENTFLAG%
echo %CTG_CUC_HOME%\msgs\ccllog%1.txt %SILENTFLAG%
copy "%CTG_CUC_HOME%\msgs\ccllog%1.txt" "%CTG_CUC_HOME%\bin\ccllog.txt" %SILENTFLAG%
echo %CTG_CUC_HOME%\msgs\cclmsg%1.hlp %SILENTFLAG%
copy "%CTG_CUC_HOME%\msgs\cclmsg%1.hlp" "%CTG_CUC_HOME%\bin\cclmsg.hlp" %SILENTFLAG%
echo %CTG_CUC_HOME%\msgs\cclmsg%1.txt %SILENTFLAG%
copy "%CTG_CUC_HOME%\msgs\cclmsg%1.txt" "%CTG_CUC_HOME%\bin\cclmsg.txt" %SILENTFLAG%
if exist "%CTG_CUC_HOME%\msgs\ctgmsg%1.hlp" echo %CTG_CUC_HOME%\msgs\ctgmsg%1.hlp %SILENTFLAG%
if exist "%CTG_CUC_HOME%\msgs\ctgmsg%1.hlp" copy "%CTG_CUC_HOME%\msgs\ctgmsg%1.hlp" "%CTG_CUC_HOME%\bin\ctgmsg.hlp" %SILENTFLAG%

:END
